var index =
[
    [ "Preface", "preface.html", [
      [ "Organization", "preface.html#preface_organisation", null ],
      [ "Conventions", "preface.html#preface_conventions", null ],
      [ "Abbreviations", "preface.html#preface_abbreviations", null ],
      [ "Copyrights and Trademarks", "preface.html#preface_copyrights", null ]
    ] ],
    [ "Introduction to FLTK", "intro.html", [
      [ "History of FLTK", "intro.html#intro_history", null ],
      [ "Features", "intro.html#intro_features", null ],
      [ "Licensing", "intro.html#intro_licensing", null ],
      [ "What Does \"FLTK\" Mean?", "intro.html#intro_what", null ],
      [ "Building and Installing FLTK Under UNIX and Apple OS X", "intro.html#intro_unix", null ],
      [ "Building FLTK Under Microsoft Windows", "intro.html#intro_windows", [
        [ "GNU toolsets (Cygwin or MinGW) hosted on Windows", "intro.html#intro_cygwin_mingw", null ],
        [ "Using the Visual C++ DLL Library", "intro.html#intro_visualcpp", null ]
      ] ],
      [ "Internet Resources", "intro.html#intro_internet", null ],
      [ "Reporting Bugs", "intro.html#intro_reporting", null ]
    ] ],
    [ "FLTK Basics", "basics.html", [
      [ "Writing Your First FLTK Program", "basics.html#basics_writing", [
        [ "Creating the Widgets", "basics.html#basics_creating", null ],
        [ "Creating Widget hierarchies", "basics.html#basics_hierarchies", null ],
        [ "Get/Set Methods", "basics.html#basics_getset", null ],
        [ "Redrawing After Changing Attributes", "basics.html#basics_redrawing", null ],
        [ "Labels", "basics.html#basics_labels", null ],
        [ "Showing the Window", "basics.html#basics_showing", null ],
        [ "The Main Event Loop", "basics.html#basics_eventloop", null ]
      ] ],
      [ "Compiling Programs with Standard Compilers", "basics.html#basics_standard_compiler", null ],
      [ "Compiling Programs with Makefiles", "basics.html#basics_makefile", null ],
      [ "Compiling Programs with Microsoft Visual C++", "basics.html#basics_visual_cpp", null ],
      [ "Naming", "basics.html#basics_naming", null ],
      [ "Header Files", "basics.html#basics_headerfiles", null ]
    ] ],
    [ "Common Widgets and Attributes", "common.html", [
      [ "Buttons", "common.html#common_buttons", null ],
      [ "Text", "common.html#common_text", null ],
      [ "Valuators", "common.html#common_valuators", null ],
      [ "Groups", "common.html#common_groups", null ],
      [ "Setting the Size and Position of Widgets", "common.html#common_sizeposition", null ],
      [ "Colors", "common.html#common_colors", null ],
      [ "Box Types", "common.html#common_boxtypes", [
        [ "Making Your Own Boxtypes", "common.html#common_custom_boxtypes", null ]
      ] ],
      [ "Labels and Label Types", "common.html#common_labels", null ],
      [ "Callbacks", "common.html#common_callbacks", null ],
      [ "Shortcuts", "common.html#common_shortcuts", null ]
    ] ],
    [ "Designing a Simple Text Editor", "editor.html", [
      [ "Determining the Goals of the Text Editor", "editor.html#editor_goals", null ],
      [ "Designing the Main Window", "editor.html#editor_main_window", null ],
      [ "Variables", "editor.html#editor_variables", null ],
      [ "Menubars and Menus", "editor.html#editor_menubars", null ],
      [ "Editing the Text", "editor.html#editor_editing", null ],
      [ "The Replace Dialog", "editor.html#editor_replace_dialog", null ],
      [ "Callbacks", "editor.html#editor_callbacks", [
        [ "changed_cb()", "editor.html#editor_changed_cb", null ],
        [ "copy_cb()", "editor.html#editor_copy_cb", null ],
        [ "cut_cb()", "editor.html#editor_cut_cb", null ],
        [ "delete_cb()", "editor.html#editor_delete_cb", null ],
        [ "find_cb()", "editor.html#editor_find_cb", null ],
        [ "find2_cb()", "editor.html#editor_find2_cb", null ],
        [ "new_cb()", "editor.html#editor_new_cb", null ],
        [ "open_cb()", "editor.html#editor_open_cb", null ],
        [ "paste_cb()", "editor.html#editor_paste_cb", null ],
        [ "quit_cb()", "editor.html#editor_quit_cb", null ],
        [ "replace_cb()", "editor.html#editor_replace_cb", null ],
        [ "replace2_cb()", "editor.html#editor_replace2_cb", null ],
        [ "replall_cb()", "editor.html#editor_replall_cb", null ],
        [ "replcan_cb()", "editor.html#editor_replcan_cb", null ],
        [ "save_cb()", "editor.html#editor_save_cb", null ],
        [ "saveas_cb()", "editor.html#editor_saveas_cb", null ]
      ] ],
      [ "Other Functions", "editor.html#editor_other_functions", [
        [ "check_save()", "editor.html#editor_check_save", null ],
        [ "load_file()", "editor.html#editor_load_file", null ],
        [ "save_file()", "editor.html#editor_save_file", null ],
        [ "set_title()", "editor.html#editor_set_title", null ]
      ] ],
      [ "The main() Function", "editor.html#editor_main_function", null ],
      [ "Compiling the Editor", "editor.html#editor_compiling", null ],
      [ "The Final Product", "editor.html#editor_final_product", null ],
      [ "Advanced Features", "editor.html#editor_advanced_features", [
        [ "Syntax Highlighting", "editor.html#editor_syntax", null ]
      ] ]
    ] ],
    [ "Drawing Things in FLTK", "drawing.html", [
      [ "When Can You Draw Things in FLTK?", "drawing.html#sect_WhenCanYouDraw", [
        [ "What Drawing Unit do FLTK drawing functions use?", "drawing.html#ssect_DrawingUnit", null ]
      ] ],
      [ "Drawing Functions", "drawing.html#sect_DrawingFunctions", [
        [ "Boxes", "drawing.html#ssect_Boxes", null ],
        [ "Clipping", "drawing.html#ssect_Clipping", null ]
      ] ],
      [ "Colors", "drawing.html#drawing_colors", [
        [ "Line Dashes and Thickness", "drawing.html#ssect_Lines", null ],
        [ "Drawing Fast Shapes", "drawing.html#ssect_Fast", null ],
        [ "Drawing Complex Shapes", "drawing.html#ssect_Complex", null ],
        [ "Drawing Text", "drawing.html#ssect_Text", null ],
        [ "Fonts", "drawing.html#ssect_Fonts", null ],
        [ "Character Encoding", "drawing.html#ssect_CharacterEncoding", null ],
        [ "Drawing Overlays", "drawing.html#ssect_Overlay", null ]
      ] ],
      [ "Drawing Images", "drawing.html#drawing_images", [
        [ "Direct Image Drawing", "drawing.html#ssect_DirectImageDrawing", null ],
        [ "Direct Image Reading", "drawing.html#ssect_DirectImageReading", null ],
        [ "Image Classes", "drawing.html#ssect_Fl_Image", null ],
        [ "Offscreen Drawing", "drawing.html#ssect_Offscreen", null ]
      ] ]
    ] ],
    [ "Handling Events", "events.html", [
      [ "The FLTK Event Model", "events.html#events_model", null ],
      [ "Mouse Events", "events.html#events_mouse", [
        [ "FL_PUSH", "events.html#events_fl_push", null ],
        [ "FL_DRAG", "events.html#events_fl_drag", null ],
        [ "FL_RELEASE", "events.html#events_fl_release", null ],
        [ "FL_MOVE", "events.html#events_fl_move", null ],
        [ "FL_MOUSEWHEEL", "events.html#events_fl_mousewheel", null ]
      ] ],
      [ "Focus Events", "events.html#events_focus", [
        [ "FL_ENTER", "events.html#events_fl_enter", null ],
        [ "FL_LEAVE", "events.html#events_fl_leave", null ],
        [ "FL_FOCUS", "events.html#events_fl_focus", null ],
        [ "FL_UNFOCUS", "events.html#events_fl_unfocus", null ]
      ] ],
      [ "Keyboard Events", "events.html#events_keyboard", [
        [ "FL_KEYBOARD, FL_KEYDOWN, FL_KEYUP", "events.html#events_fl_keydown", null ],
        [ "FL_SHORTCUT", "events.html#events_fl_shortcut", null ]
      ] ],
      [ "Widget Events", "events.html#events_widget", [
        [ "FL_DEACTIVATE", "events.html#events_fl_deactivate", null ],
        [ "FL_ACTIVATE", "events.html#events_fl_activate", null ],
        [ "FL_HIDE", "events.html#events_fl_hide", null ],
        [ "FL_SHOW", "events.html#events_fl_show", null ]
      ] ],
      [ "Clipboard Events", "events.html#events_clipboard", [
        [ "FL_PASTE", "events.html#events_fl_paste", null ],
        [ "FL_SELECTIONCLEAR", "events.html#events_fl_selectionclear", null ]
      ] ],
      [ "Drag and Drop Events", "events.html#events_dnd", [
        [ "FL_DND_ENTER", "events.html#events_fl_dnd_enter", null ],
        [ "FL_DND_DRAG", "events.html#events_fl_dnd_drag", null ],
        [ "FL_DND_LEAVE", "events.html#events_fl_dnd_leave", null ],
        [ "FL_DND_RELEASE", "events.html#events_fl_dnd_release", null ]
      ] ],
      [ "Other events", "events.html#events_fl_misc", [
        [ "FL_SCREEN_CONFIGURATION_CHANGED", "events.html#events_fl_screen_config", null ],
        [ "FL_FULLSCREEN", "events.html#events_fl_fullscreen", null ]
      ] ],
      [ "Fl::event_*() methods", "events.html#events_event_xxx", null ],
      [ "Event Propagation", "events.html#events_propagation", null ],
      [ "FLTK Compose-Character Sequences", "events.html#events_compose_characters", null ]
    ] ],
    [ "Adding and Extending Widgets", "subclassing.html", [
      [ "Subclassing", "subclassing.html#subclassing_subclassing", null ],
      [ "Making a Subclass of Fl_Widget", "subclassing.html#subclassing_fl_widget", null ],
      [ "The Constructor", "subclassing.html#subclassing_constructor", null ],
      [ "Protected Methods of Fl_Widget", "subclassing.html#subclassing_protected", null ],
      [ "Handling Events", "subclassing.html#subclassing_events", null ],
      [ "Drawing the Widget", "subclassing.html#subclassing_drawing", null ],
      [ "Resizing the Widget", "subclassing.html#subclassing_resizing", null ],
      [ "Making a Composite Widget", "subclassing.html#subclassing_composite", null ],
      [ "Cut and Paste Support", "subclassing.html#subclassing_cutnpaste", null ],
      [ "Drag And Drop Support", "subclassing.html#subclassing_dragndrop", null ],
      [ "Making a subclass of Fl_Window", "subclassing.html#subclassing_fl_window", null ]
    ] ],
    [ "Using OpenGL", "opengl.html", [
      [ "Using OpenGL in FLTK", "opengl.html#opengl_using", null ],
      [ "Making a Subclass of Fl_Gl_Window", "opengl.html#opengl_subclass", [
        [ "Defining the Subclass", "opengl.html#opengl_defining", null ],
        [ "The draw() Method", "opengl.html#opengl_draw", null ],
        [ "The handle() Method", "opengl.html#opengl_handle", null ]
      ] ],
      [ "Using OpenGL in Normal FLTK Windows", "opengl.html#opengl_normal", null ],
      [ "OpenGL Drawing Functions", "opengl.html#opengl_drawing", null ],
      [ "Speeding up OpenGL", "opengl.html#opengl_speed", null ],
      [ "Using OpenGL Optimizer with FLTK", "opengl.html#opengl_optimizer", null ],
      [ "Using OpenGL 3.0 (or higher versions)", "opengl.html#opengl3", null ]
    ] ],
    [ "Programming with FLUID", "fluid.html", [
      [ "What is FLUID?", "fluid.html#fluid_what_is_fluid", null ],
      [ "Running FLUID Under UNIX", "fluid.html#fluid_fluid_under_unix", null ],
      [ "Running FLUID Under Microsoft Windows", "fluid.html#fluid_fluid_under_windows", null ],
      [ "Compiling .fl files", "fluid.html#fluid_compiling_fl_files", null ],
      [ "A Short Tutorial", "fluid.html#fluid_tutorial", [
        [ "The CubeView Class", "fluid.html#fluid_cubeview", null ],
        [ "The CubeViewUI Class", "fluid.html#fluid_cubevieui", null ],
        [ "Adding Constructor Initialization Code", "fluid.html#fluid_addconst", null ],
        [ "Generating the Code", "fluid.html#fluid_gencode", null ]
      ] ],
      [ "FLUID Reference", "fluid.html#fluid_references", [
        [ "The Widget Browser", "fluid.html#fluid_browser", null ],
        [ "Menu Items", "fluid.html#fluid_menu_items", null ],
        [ "The Widget Panel", "fluid.html#fluid_widget_panel", null ]
      ] ],
      [ "GUI Attributes", "fluid.html#fluid_widget_attributes", [
        [ "Style Attributes", "fluid.html#fluid_style_attributes", null ],
        [ "C++ Attributes", "fluid.html#fluid_cpp_attributes", null ]
      ] ],
      [ "Selecting and Moving Widgets", "fluid.html#fluid_selecting_moving", null ],
      [ "Image Labels", "fluid.html#fluid_images", null ],
      [ "Internationalization with FLUID", "fluid.html#fluid_i18n", [
        [ "I18N Methods", "fluid.html#fluid_i18n_methods", null ],
        [ "Using GNU gettext for I18N", "fluid.html#fluid_gettext_i18n", null ],
        [ "Using POSIX catgets for I18N", "fluid.html#fluid_catgets_i18n", null ]
      ] ],
      [ "Known limitations", "fluid.html#fluid_limitations", null ]
    ] ],
    [ "Advanced FLTK", "advanced.html", [
      [ "Multithreading", "advanced.html#advanced_multithreading", null ],
      [ "FLTK multithread locking - Fl::lock() and Fl::unlock()", "advanced.html#advanced_multithreading_lock", null ],
      [ "Simple multithreaded examples using Fl::lock", "advanced.html#advanced_multithreading_lock_example", null ],
      [ "FLTK multithreaded \"lockless programming\"", "advanced.html#advanced_multithreading_lockless", null ],
      [ "FLTK multithreaded Constraints", "advanced.html#advanced_multithreading_caveats", null ]
    ] ],
    [ "Unicode and UTF-8 Support", "unicode.html", [
      [ "About Unicode, ISO 10646 and UTF-8", "unicode.html#unicode_about", null ],
      [ "Unicode in FLTK", "unicode.html#unicode_in_fltk", null ],
      [ "Illegal Unicode and UTF-8 Sequences", "unicode.html#unicode_illegals", null ],
      [ "FLTK Unicode and UTF-8 Functions", "unicode.html#unicode_fltk_calls", null ],
      [ "FLTK Unicode Versions of System Calls", "unicode.html#unicode_system_calls", null ]
    ] ],
    [ "FLTK Enumerations", "enumerations.html", [
      [ "Version Numbers", "enumerations.html#enumerations_versions", null ],
      [ "Events", "enumerations.html#enumerations_events", null ],
      [ "Callback \"When\" Conditions", "enumerations.html#enumerations_when", null ],
      [ "Fl::event_button() Values", "enumerations.html#enumeration_button_values", null ],
      [ "Fl::event_key() Values", "enumerations.html#enumerations_event_key", null ],
      [ "Fl::event_state() Values", "enumerations.html#enumerations_event_state", null ],
      [ "Alignment Values", "enumerations.html#enumerations_alignment", null ],
      [ "Fonts", "enumerations.html#enumerations_fonts", null ],
      [ "Colors", "enumerations.html#enumerations_colors", [
        [ "Color Constants", "enumerations.html#enumerations_color_constants", null ]
      ] ],
      [ "Cursors", "enumerations.html#enumerations_cursors", null ],
      [ "FD \"When\" Conditions", "enumerations.html#enumerations_file_when", null ],
      [ "Damage Masks", "enumerations.html#enumerations_damage", null ]
    ] ],
    [ "GLUT Compatibility", "glut.html", [
      [ "Using the GLUT Compatibility Header File", "glut.html#glut_using", null ],
      [ "Known Problems", "glut.html#glut_known_problems", null ],
      [ "Mixing GLUT and FLTK Code", "glut.html#glut_mixing", null ],
      [ "class Fl_Glut_Window", "glut.html#glut_Fl_Glut_Window", [
        [ "Class Hierarchy", "glut.html#glut_class_hierarchy", null ],
        [ "Include Files", "glut.html#glut_include_files", null ],
        [ "Description", "glut.html#glut_description", null ],
        [ "Members", "glut.html#glut_members", null ],
        [ "Methods", "glut.html#glut_methods", null ]
      ] ]
    ] ],
    [ "Forms Compatibility", "forms.html", [
      [ "Importing Forms Layout Files", "forms.html#forms_importing", null ],
      [ "Using the Compatibility Header File", "forms.html#forms_using", null ],
      [ "Problems You Will Encounter", "forms.html#forms_problems", null ],
      [ "Additional Notes", "forms.html#forms_notes", null ]
    ] ],
    [ "Operating System Issues", "osissues.html", [
      [ "Accessing the OS Interfaces", "osissues.html#osissues_accessing", null ],
      [ "The UNIX (X11) Interface", "osissues.html#osissues_unix", [
        [ "Handling Other X Events", "osissues.html#osissues_x_events", null ],
        [ "Drawing using Xlib", "osissues.html#osissues_drawing_xlib", null ],
        [ "Changing the Display, Screen, or X Visual", "osissues.html#osissues_xvisual", null ],
        [ "Using a Subclass of Fl_Window for Special X Stuff", "osissues.html#osissues_specialx", null ],
        [ "Setting the Icon of a Window", "osissues.html#osissues_x_icon", null ],
        [ "X Resources", "osissues.html#osissues_xresources", null ]
      ] ],
      [ "The Windows (WIN32) Interface", "osissues.html#osissues_win32", [
        [ "Using filenames with non-ASCII characters", "osissues.html#non_ascii_filenames", null ],
        [ "Responding to WM_QUIT", "osissues.html#osissues_wm_quit", null ],
        [ "Handling Other WIN32 Messages", "osissues.html#osissues_win32_messages", null ],
        [ "Drawing Things Using the WIN32 GDI", "osissues.html#osissues_win32_gdi", null ],
        [ "Setting the Icon of a Window", "osissues.html#osissues_icon_windows", null ],
        [ "How to Not Get a MSDOS Console Window", "osissues.html#osissues_msdos_console", null ],
        [ "Known WIN32 Bugs and Problems", "osissues.html#osissues_win32_problems", null ]
      ] ],
      [ "The Apple OS X Interface", "osissues.html#osissues_macos", [
        [ "Setting the icon of an application", "osissues.html#osissues_icon_osx", null ],
        [ "Drawing Things Using Quartz", "osissues.html#osissues_quartz", null ],
        [ "Internationalization", "osissues.html#osissues_localize", null ],
        [ "OpenGL and 'retina' displays", "osissues.html#osissues_retina", null ],
        [ "Fl_Double_Window", "osissues.html#double_window", null ],
        [ "Mac File System Specifics", "osissues.html#osissues_mac_files", null ]
      ] ]
    ] ],
    [ "Migrating Code from FLTK 1.0 to 1.1", "migration_1_1.html", [
      [ "Color Values", "migration_1_1.html#migration_1_1_color", null ],
      [ "Cut and Paste Support", "migration_1_1.html#migration_1_1_cutnpaste", null ],
      [ "File Chooser", "migration_1_1.html#migration_1_1_file_chooser", null ],
      [ "Function Names", "migration_1_1.html#migration_1_1_functions", null ],
      [ "Image Support", "migration_1_1.html#migration_1_1_images", null ],
      [ "Keyboard Navigation", "migration_1_1.html#migration_1_1_keyboard", null ]
    ] ],
    [ "Migrating Code from FLTK 1.1 to 1.3", "migration_1_3.html", [
      [ "Migrating From FLTK 1.0", "migration_1_3.html#migration_1_3_fltk_1_0", null ],
      [ "Fl_Scroll Widget", "migration_1_3.html#migration_1_3_fl_scroll", null ],
      [ "Unicode (UTF-8)", "migration_1_3.html#migration_1_3_unicode", null ],
      [ "Widget Coordinate Representation", "migration_1_3.html#migration_1_3_int_coords", null ]
    ] ],
    [ "Developer Information", "development.html", [
      [ "Non-ASCII Characters", "development.html#development_non-ascii", null ],
      [ "Document Structure", "development.html#development_structure", null ],
      [ "Creating Links", "development.html#development_links", null ],
      [ "Paragraph Layout", "development.html#development_paragraphs", null ],
      [ "Navigation Elements", "development.html#development_navigation_test", null ]
    ] ],
    [ "Software License", "license.html", null ],
    [ "Example Source Code", "examples.html", [
      [ "Example Applications", "examples.html#example_applications", [
        [ "adjuster", "examples.html#examples_adjuster", null ],
        [ "arc", "examples.html#examples_arc", null ],
        [ "ask", "examples.html#examples_ask", null ],
        [ "bitmap", "examples.html#examples_bitmap", null ],
        [ "blocks", "examples.html#examples_blocks", null ],
        [ "boxtype", "examples.html#examples_boxtype", null ],
        [ "browser", "examples.html#examples_browser", null ],
        [ "button", "examples.html#examples_button", null ],
        [ "buttons", "examples.html#examples_buttons", null ],
        [ "checkers", "examples.html#examples_checkers", null ],
        [ "clock", "examples.html#examples_clock", null ],
        [ "colbrowser", "examples.html#examples_colbrowser", null ],
        [ "color_chooser", "examples.html#examples_color_chooser", null ],
        [ "cube", "examples.html#examples_cube", null ],
        [ "CubeView", "examples.html#examples_CubeView", null ],
        [ "cursor", "examples.html#examples_cursor", null ],
        [ "curve", "examples.html#examples_curve", null ],
        [ "demo", "examples.html#examples_demo", null ],
        [ "device", "examples.html#examples_device", null ],
        [ "doublebuffer", "examples.html#examples_doublebuffer", null ],
        [ "editor", "examples.html#examples_editor", null ],
        [ "fast_slow", "examples.html#examples_fast_slow", null ],
        [ "file_chooser", "examples.html#examples_file_chooser", null ],
        [ "fonts", "examples.html#examples_fonts", null ],
        [ "forms", "examples.html#examples_forms", null ],
        [ "fractals", "examples.html#examples_fractals", null ],
        [ "fullscreen", "examples.html#examples_fullscreen", null ],
        [ "gl_overlay", "examples.html#examples_gl_overlay", null ],
        [ "glpuzzle", "examples.html#examples_glpuzzle", null ],
        [ "hello", "examples.html#examples_hello", null ],
        [ "help", "examples.html#examples_help", null ],
        [ "iconize", "examples.html#examples_iconize", null ],
        [ "image", "examples.html#examples_image", null ],
        [ "inactive", "examples.html#examples_inactive", null ],
        [ "input", "examples.html#examples_input", null ],
        [ "input_choice", "examples.html#examples_input_choice", null ],
        [ "keyboard", "examples.html#examples_keyboard", null ],
        [ "label", "examples.html#examples_label", null ],
        [ "line_style", "examples.html#examples_line_style", null ],
        [ "list_visuals", "examples.html#examples_list_visuals", null ],
        [ "mandelbrot", "examples.html#examples_mandelbrot", null ],
        [ "menubar", "examples.html#examples_menubar", null ],
        [ "message", "examples.html#examples_message", null ],
        [ "minimum", "examples.html#examples_minimum", null ],
        [ "navigation", "examples.html#examples_navigation", null ],
        [ "output", "examples.html#examples_output", null ],
        [ "overlay", "examples.html#examples_overlay", null ],
        [ "pack", "examples.html#examples_pack", null ],
        [ "pixmap_browser", "examples.html#examples_pixmap_browser", null ],
        [ "pixmap", "examples.html#examples_pixmap", null ],
        [ "preferences", "examples.html#examples_preferences", null ],
        [ "radio", "examples.html#examples_radio", null ],
        [ "resizebox", "examples.html#examples_resizebox", null ],
        [ "resize", "examples.html#examples_resize", null ],
        [ "scroll", "examples.html#examples_scroll", null ],
        [ "shape", "examples.html#examples_shape", null ],
        [ "subwindow", "examples.html#examples_subwindow", null ],
        [ "sudoku", "examples.html#examples_sudoku", null ],
        [ "symbols", "examples.html#examples_symbols", null ],
        [ "tabs", "examples.html#examples_tabs", null ],
        [ "threads", "examples.html#examples_threads", null ],
        [ "tile", "examples.html#examples_tile", null ],
        [ "tiled_image", "examples.html#examples_tiled_image", null ],
        [ "unittests", "examples.html#examples_unittests", null ],
        [ "utf8", "examples.html#examples_utf8", null ],
        [ "valuators", "examples.html#examples_valuators", null ],
        [ "fluid", "examples.html#examples_fluid", null ]
      ] ]
    ] ],
    [ "FAQ (Frequently Asked Questions)", "FAQ.html", [
      [ "Where do I start learning FLTK?", "FAQ.html#faq_start", null ],
      [ "How do I make a box with text?", "FAQ.html#faq_box_with_text", null ],
      [ "Can I use FLTK to make closed-source commercial applications?", "FAQ.html#faq_license", null ],
      [ "Hitting the 'Escape' key closes windows - how do I prevent this?", "FAQ.html#faq_escape", null ]
    ] ]
];